@import url(fontiran.css); /* لینک فایلی که وظیفه بارگذاری فونت ها را برعهده دارد */
html {
	-webkit-text-size-adjust: none;
	/* touch-action: manipulation; */
}
body {
  margin: 0;
  padding: 0;
	font-family: IRANSans !important;
  font-weight: 300;
  /* background-color: rgb(0, 0, 0); */
}
:root {
  --cB:#000;
  --lB: linear-gradient(180deg, rgb(12, 12, 12) 0%, rgba(71, 71, 71, 0.99) 100%);
  --lB2: linear-gradient(180deg, rgba(08,08,08,0.99) 0%, rgba(41, 41, 41, 0.99) 100%);
  --cY:rgb(252,168,1);
  --lY: linear-gradient(180deg, rgba(252,168,1,1) 0%, rgba(220,117,1,1) 100%);
  --EMD: linear-gradient(to bottom,#0a4e9f 0,#fdce0f 100%);
}
select{
  -webkit-appearance: none !important;
  background: transparent;
  border: none;
}
input{
  background: transparent;
  border: none;
  caret-color: #ffae00;
  text-align: center;
}
input:focus{outline:0;}
input::placeholder{color: white;}
.textColor1{
  color:white;
}
.white{
  color:white;
}
.black{
  color:black;
}
.yellow{
  color:#ffae00;
}
h1, h2, h3, h4, h5, h6,input, textarea {
	font-family: IRANSans !important;
}
h1 {
	font-weight: bold;
}
.wrapper {
	max-width: 900px;
	margin: 0 auto;
}
.ltr {
	direction: ltr;
}
.rtl {
	direction: rtl;
}
.text-justify{
  text-align: justify;
}
.text-right {
	text-align: right !important;
}
.text-center {
	text-align: center !important;
}
.text-left {
	text-align: left !important;
}
.text-small {
	font-size: 0.8em !important;
}
.text-xsmall {
	font-size: 0.6em !important;
}
.text-normal{
  font-size: 1em !important;
}
.text-large {
	font-size: 1.2em !important;
}
.text-xlarge {
	font-size: 1.4em !important;
}
.text-underline {
  text-decoration:underline;
  cursor: pointer;
}
.text-ultralight {
	font-weight: 200;
}
.text-light {
	font-weight: 300;
}
.text-regular {
	font-weight: normal;
}
.text-medium {
	font-weight: 500;
}
.text-bold {
	font-weight: bold;
}
.text-black {
	font-weight: 900;
}
blockquote {
	font-weight: 500;
	padding: 10px;
	border: 1px dashed #666666;
}

.sk-cube-grid {
    width: 40px;
    height: 40px;
    margin: 100px auto;
  }
  .sk-cube-grid .sk-cube {
    width: 33%;
    height: 33%;
    background: var(--cY);
    background: var(--lY);
    float: left;
    -webkit-animation: sk-cubeGridScaleDelay 3s infinite ease-in-out;
            animation: sk-cubeGridScaleDelay 3s infinite ease-in-out; 
  }
  .sk-cube-grid .sk-cube1 {
    -webkit-animation-delay: 0.2s;
            animation-delay: 0.2s; }
  .sk-cube-grid .sk-cube2 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
  .sk-cube-grid .sk-cube3 {
    -webkit-animation-delay: 0.4s;
            animation-delay: 0.4s; }
  .sk-cube-grid .sk-cube4 {
    -webkit-animation-delay: 0.1s;
            animation-delay: 0.1s; }
  .sk-cube-grid .sk-cube5 {
    -webkit-animation-delay: 0.2s;
            animation-delay: 0.2s; }
  .sk-cube-grid .sk-cube6 {
    -webkit-animation-delay: 0.3s;
            animation-delay: 0.3s; }
  .sk-cube-grid .sk-cube7 {
    -webkit-animation-delay: 0s;
            animation-delay: 0s; }
  .sk-cube-grid .sk-cube8 {
    -webkit-animation-delay: 0.1s;
            animation-delay: 0.1s; }
  .sk-cube-grid .sk-cube9 {
    -webkit-animation-delay: 0.2s;
            animation-delay: 0.2s; }

  @-webkit-keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
      -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
    } 35% {
      -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1); 
    }
  }
  
  @keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
      -webkit-transform: scale3D(1, 1, 1);
              transform: scale3D(1, 1, 1);
    } 35% {
      -webkit-transform: scale3D(0, 0, 1);
              transform: scale3D(0, 0, 1);
    }
  }
.mainBox,.loading,.alert {
    margin: 0 auto;
    min-height:500px;
    min-width: 320px;
    z-index: 1;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    align-items: center;
    /* background: var(--EMD) */
    /* background: var(--lB2) */
    background: gray

    /* overflow: scroll; */
}
.alert,.loading{
  position: fixed;
  background: rgba(0, 0, 0, 0.842) !important;
  z-index: 100 !important;
  justify-content:center !important;
}
.loading{
  top: 0% !important;
}
.stretch {
  width: 100%;
  height: 100%;
}
.alertTextBox{
  background: var(--lB);
  border: 1px solid black;
  border-radius: 6px;
  width: 90%;
  height: 32%;
}
.alertStatus{
  width: 100%;
  height: 30%;
  color: red;
  font-weight: 900;
}
.alertText{
  direction: rtl;
  text-align: center;
  font-family: IRANSans !important;
  font-size: 16px;
}
button:focus {outline:0;}
button{
  border: none;
  /* box-shadow: 0 0 10px 1px #060606; */
}
button:active {color: rgb(100, 100, 100)}
.buttonBox{
  width: 90%;
  height: 15%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.buttonBox2{
  width: 90%;
  height: 15%;
  display: flex;
  justify-content: space-between;
  align-items: center;


}
.button1,.button2{
  border-radius: 4px;
  background-color: #0f3840;
  background: linear-gradient(to left, #2d5a65 0%, #042b33 100%);
  color: #FFFFFF;
  height: 50% !important;
  width: 100%;
  border-radius: 5px;
  font-family: IRANSans;
  font-size: 16px;
  font-weight: 500;
  transition: all 1000ms;
}
.button2{
  width: 45%;
}

.headerBox{
  /* width: 90%;
  height: 8%;
  background: var(--cB);
  display: flex;
  z-index: 1;
  align-items: center; */
  width: 90%;
  height: 8%;
  /* height: 7%; */
  background: #295059;
  border-radius: 10px;
  box-shadow: 0 0 13px 0 #242525;
  display: flex;
  /* position: fixed; */
  z-index: 1;
  align-items: center;
}
.headerImgBox{
text-align: left;
display: flex;
justify-content: flex-start;
align-items: center;
width: 30%;
height: 100%;
}
.headerImgBox img{
  width: 25%;
  height: 55%;
}
.headerTextBox{
  width: 70%;
  color: white;
  font-family: IRANSans;
  font-size: 16px;
  font-weight: 500;
  padding-right: 3%;
  text-align: right;
}

.container1B{
  margin-top: 5%;
  height: 75%;
  width: 90%;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}
.containerNB{
  /* overflow-y: inherit; */
  overflow-x: hidden;
  overflow-y: auto;
  height: 84%;
  width: 90%;
  /* display: flex; */
  flex-direction: column;
  position: relative;
  justify-content:start;
  align-items: center;
}

.containerWithNavBar{
  overflow-x: hidden;
  height: 92%;
  width: 90%;
  flex-direction: column;
  position: relative;
  justify-content:start;
  align-items: center;
}
.containerColor{
  /* background: #383838f8; */
  background: #1f3c46;
  border: 1px solid #383838f8;
  border-radius: 10px;
}









.fontlarg{
  direction: rtl;
  color:white;
  font-family: IRANSans;
  font-size: 18px;
  text-align: justify;
}
.fontnormal{
  direction: rtl;
  color:white;
  font-family: IRANSans;
  font-size: 16px;
  text-align: justify;
}
.fontsmall{
  direction: rtl;
  /* text-align: right; */
  color:white;
  font-family: IRANSans;
  font-size: 14px;
}
.fontVsmall{
  direction: rtl;
  /* text-align: justify; */
  color:white;
  font-family: IRANSans;
  font-size: 12px;
  font-weight: 400;
}
.datepicker{
  background: rgba(0, 0, 0, 0.671) !important;
  left: unset!important;
  top: 0 !important;
  bottom: 0 !important;
  left: 0 !important;
  right: 0 !important;
  display: flex;
  justify-content: center;
  align-items: center
}
@media only screen and (min-width: 700px) {
  body{
    font-size: 24px
  }
  .mainBox,.loading,.alert{
      width: 80%;
  }
  /* باید درست کنم */
  .fontlarg{
    font-size: 22px;
  }
  .fontnormal{
      font-size: 20px;
  }
  .fontsmall{
      font-size: 18px;
  }
  .fontVsmall{
      font-size: 16px;
  }
}

@media only screen and (min-width: 900px) {
  body{
    font-size: 26px;
  }
  .mainBox,.loading,.alert{
      width: 60%;
  }
 /* باید درست کنم */
  .fontlarg{
    font-size: 24px;
  }
  .fontnormal{
      font-size: 22px;
  }
  .fontsmall{
      font-size: 20px;
  }
  .fontVsmall{
      font-size: 18px;
  }
}




.page {
  position: absolute;
  overflow-x: hidden;
  height: 100%;
  width: 100%;
  flex-direction: column;
  /* justify-content: flex-start; */
  /* align-items: center; */
  transition: opacity 400ms, transform 400ms;
  display: flex;
}

.page-enter {
  opacity: 0;
  transform: scale(0);
}

.page-enter-active {
  opacity: 1;
  transform: scale(1);
}

.page-exit {
  opacity: 1;
  transform: scale(1);
}

.page-exit-active {
  opacity: 0;
  transform: scale(0);
}


.AspectRatio {
  position: relative;
  /* margin: 2px; */
}
.AspectRatio:before {
  content: "";
  display: block;
}
.AspectRatio1:before {
  padding-top: 100%; /* 1:1 Aspect Ratio */
}
.AspectRatio2:before {
  padding-top: 75%; /* 4:3 Aspect Ratio (divide 3 by 4 = 0.75) */
}
.AspectRatio3:before {
  padding-top: 66.66%; /* 3:2 Aspect Ratio (divide 2 by 3 = 0.6666)  */
}
.AspectRatio4:before {
  padding-top: 62.5%; /* 8:5 Aspect Ratio (divide 5 by 8 = 0.625) */
}
.AspectRatio5:before {
  padding-top: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}
.AspectRatio6:before {
  padding-top: 49%;
}

.AspectRatio > div ,.AspectRatioAfter {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: "blue";
  /* width: 95%;
  height: 95%; */
  /* background-image: url("./images/adver/001.jpg");
  background-size: cover; */
  display: flex;
  justify-content: center;
  /* align-items: center; */
  overflow: hidden;
  text-overflow: ellipsis;
  /* box-shadow: 0 1px 5px 1px #4e4d4d; */
}



.tableFixHeader {
  overflow-y: auto;
  max-height: 330px;
}

.tableFixHeader thead th {
  position: sticky;
  top: 0px;
  z-index: 1;
}

/* Just common table stuff. Really. */
table {
  border-collapse: collapse;
  width: 100%;
  overflow: unset !important;
  position: relative;
}

thead th {
  background: black !important;
  /* box-shadow: 1px 0px 0px 1px gray; */
}

table th .css-yk16xz-control {
  /* background: transparent; */
}